org.apache.http.nio

## Interface NHttpServerIOTarget

- All Superinterfaces:
    AutoCloseable, Closeable, HttpConnection, IOControl, NHttpConnection, NHttpServerConnection
  All Known Implementing Classes:
    DefaultNHttpServerConnection

  Deprecated.
  (4.2) no longer used

      @Deprecated
      public interface NHttpServerIOTarget
      extends NHttpServerConnection

  Extended version of the `NHttpServerConnection` used by `IOEventDispatch` implementations to inform server-side connection objects of I/O events.
  Since:
    4.0

- - ### Field Summary

    - ### Fields inherited from interface org.apache.http.nio.NHttpConnection

      `ACTIVE, CLOSED, CLOSING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consumeInput(NHttpServiceHandler handler)` Deprecated. Triggered when the connection is ready to consume input.
    `void` | `produceOutput(NHttpServiceHandler handler)` Deprecated. Triggered when the connection is ready to produce output.

    - ### Methods inherited from interface org.apache.http.nio.NHttpServerConnection

      `isResponseSubmitted, resetInput, resetOutput, submitResponse`

    - ### Methods inherited from interface org.apache.http.nio.NHttpConnection

      `getContext, getHttpRequest, getHttpResponse, getStatus`

    - ### Methods inherited from interface org.apache.http.HttpConnection

      `close, getMetrics, getSocketTimeout, isOpen, isStale, setSocketTimeout, shutdown`

    - ### Methods inherited from interface org.apache.http.nio.IOControl

      `requestInput, requestOutput, shutdown, suspendInput, suspendOutput`

- - ### Method Detail

    - #### consumeInput

          void consumeInput(NHttpServiceHandler handler)

      Deprecated.
      Triggered when the connection is ready to consume input.
      Parameters:
        `handler` - the server protocol handler.

    - #### produceOutput

          void produceOutput(NHttpServiceHandler handler)

      Deprecated.
      Triggered when the connection is ready to produce output.
      Parameters:
        `handler` - the server protocol handler.

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.